Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class Signature

    java.lang.Object
      com.mindbright.jca.security.SignatureSpi
          com.mindbright.jca.security.Signature

public class Signature
extends SignatureSpi

Field Summary
`protected static int` | `SIGN`
`protected int` | `state`
`protected static int` | `UNINITIALIZED`
`protected static int` | `VERIFY`

Fields inherited from class com.mindbright.jca.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` | `Signature(java.lang.String algorithm)`

Method Summary
`java.lang.Object` | `clone()`
`protected java.lang.Object` | `engineGetParameter(java.lang.String param)`
`protected void` | `engineInitSign(PrivateKey privateKey)`
`protected void` | `engineInitSign(PrivateKey privateKey, SecureRandom random)`
`protected void` | `engineInitVerify(PublicKey publicKey)`
`protected void` | `engineSetParameter(java.lang.String param, java.lang.Object value)`
`protected byte[]` | `engineSign()`
`protected void` | `engineUpdate(byte b)`
`protected void` | `engineUpdate(byte[] b, int off, int len)`
`protected boolean` | `engineVerify(byte[] sigBytes)`
`java.lang.String` | `getAlgorithm()`
`static Signature` | `getInstance(java.lang.String algorithm)`
`static Signature` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`java.lang.Object` | `getParameter(java.lang.String param)`
`Provider` | `getProvider()`
`void` | `initSign(PrivateKey privateKey)`
`void` | `initSign(PrivateKey privateKey, SecureRandom random)`
`void` | `initVerify(PublicKey publicKey)`
`void` | `setParameter(AlgorithmParameterSpec params)`
`void` | `setParameter(java.lang.String param, java.lang.Object value)`
`byte[]` | `sign()`
`int` | `sign(byte[] outbuf, int offset, int len)`
`java.lang.String` | `toString()`
`void` | `update(byte b)`
`void` | `update(byte[] data)`
`void` | `update(byte[] data, int off, int len)`
`boolean` | `verify(byte[] signature)`

Methods inherited from class com.mindbright.jca.security.SignatureSpi
`engineSetParameter, engineSign`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNINITIALIZED

    protected static final int UNINITIALIZED

See Also:
  Constant Field Values

### SIGN

    protected static final int SIGN

See Also:
  Constant Field Values

### VERIFY

    protected static final int VERIFY

See Also:
  Constant Field Values

### state

    protected int state

Constructor Detail

### Signature

    protected Signature(java.lang.String algorithm)

Method Detail

### getInstance

    public static Signature getInstance(java.lang.String algorithm)
                                 throws NoSuchAlgorithmException

  Throws:
    `NoSuchAlgorithmException`

### getInstance

    public static Signature getInstance(java.lang.String algorithm,
                                        java.lang.String provider)
                                 throws NoSuchAlgorithmException,
                                        NoSuchProviderException

  Throws:
    `NoSuchAlgorithmException`
    `NoSuchProviderException`

### getProvider

    public final Provider getProvider()

### initVerify

    public void initVerify(PublicKey publicKey)
                    throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### initSign

    public void initSign(PrivateKey privateKey)
                  throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### initSign

    public void initSign(PrivateKey privateKey,
                         SecureRandom random)
                  throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### sign

    public byte[] sign()
                throws SignatureException

  Throws:
    `SignatureException`

### sign

    public int sign(byte[] outbuf,
                    int offset,
                    int len)
             throws SignatureException

  Throws:
    `SignatureException`

### verify

    public boolean verify(byte[] signature)
                   throws SignatureException

  Throws:
    `SignatureException`

### update

    public void update(byte b)
                throws SignatureException

  Throws:
    `SignatureException`

### update

    public final void update(byte[] data)
                      throws SignatureException

  Throws:
    `SignatureException`

### update

    public void update(byte[] data,
                       int off,
                       int len)
                throws SignatureException

  Throws:
    `SignatureException`

### getAlgorithm

    public final java.lang.String getAlgorithm()

### toString

    public final java.lang.String toString()

### setParameter

    public void setParameter(java.lang.String param,
                             java.lang.Object value)
                      throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### setParameter

    public void setParameter(AlgorithmParameterSpec params)
                      throws InvalidAlgorithmParameterException

  Throws:
    `InvalidAlgorithmParameterException`

### getParameter

    public java.lang.Object getParameter(java.lang.String param)
                                  throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `SignatureSpi`
  Throws:
    `java.lang.CloneNotSupportedException`

### engineInitVerify

    protected void engineInitVerify(PublicKey publicKey)
                             throws InvalidKeyException

  Specified by:
    `engineInitVerify` in class `SignatureSpi`
  Throws:
    `InvalidKeyException`

### engineInitSign

    protected void engineInitSign(PrivateKey privateKey)
                           throws InvalidKeyException

  Specified by:
    `engineInitSign` in class `SignatureSpi`
  Throws:
    `InvalidKeyException`

### engineInitSign

    protected void engineInitSign(PrivateKey privateKey,
                                  SecureRandom random)
                           throws InvalidKeyException

  Specified by:
    `engineInitSign` in class `SignatureSpi`
  Throws:
    `InvalidKeyException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws SignatureException

  Specified by:
    `engineUpdate` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws SignatureException

  Specified by:
    `engineUpdate` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineSign

    protected byte[] engineSign()
                         throws SignatureException

  Specified by:
    `engineSign` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws SignatureException

  Specified by:
    `engineVerify` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)
                               throws InvalidParameterException

  Specified by:
    `engineSetParameter` in class `SignatureSpi`
  Throws:
    `InvalidParameterException`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)
                                           throws InvalidParameterException

  Specified by:
    `engineGetParameter` in class `SignatureSpi`
  Throws:
    `InvalidParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD